Subject: bug#7726: reveal-mode bypassed by compile-goto-error

From: Lennart Borgman <[email-masked]>
Date: Fri, 24 Dec 2010 13:54:53 +0100

If I use compile-goto-error from a grep-mode buffer to a org-mode
buffer where the destination line is in a hidden outline then the
outline will not be revealed until after next command.

GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600) from trunk 2010-10-19 (patched)